Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Models

Start a pending upload

POST /models/{name}/versions/{version}/startPendingUpload

Initiates a new pending upload or retrieves an existing one for the specified model version.

Paramètres de la requête

api-version string obligatoire

The API version to use for this operation.

Paramètres d’en-tête

Foundry-Features enum obligatoire

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Models=V1Preview

Paramètres de chemin d’accès

name string obligatoire

Name of the model.

version string obligatoire

Version of the model.

Corps de la demande

The pending upload request request body.

Content-Type: application/json
pendingUploadId string

If PendingUploadId is not provided, a random GUID will be used.

connectionName string

Azure Storage Account connection name to use for generating temporary SAS token

pendingUploadType enum obligatoire

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Réponses

The request has succeeded.

Corps

Content-Type: application/json
blobReference BlobReference obligatoire

Blob reference details.

blobUri string obligatoire

Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path

storageAccountArmId string obligatoire

ARM ID of the storage account to use.

credential SasCredential obligatoire

SAS Credential definition

sasUri string obligatoire

SAS uri

type enum obligatoire

Type of credential

SAS
pendingUploadId string obligatoire

ID for this upload request.

version string

Version of asset to be created if user did not specify version when initially creating upload

pendingUploadType enum obligatoire

The type of pending upload. Only TemporaryBlobReference is supported for models.

TemporaryBlobReference

Client error

En-têtes

x-ms-error-code string

String error code indicating what went wrong.

Corps

Content-Type: application/json
error Azure.Core.Foundations.Error obligatoire

The error object.

code string obligatoire

One of a server-defined set of error codes.

message string obligatoire

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

En-têtes

x-ms-error-code string

String error code indicating what went wrong.

Corps

Content-Type: application/json
error Azure.Core.Foundations.Error obligatoire

The error object.

code string obligatoire

One of a server-defined set of error codes.

message string obligatoire

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Requête

POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026